​

Retrieve list of iterations

GET
https://example.kaiten.ru/api/latest/spaces/{space_uid}/iterations

Returns the list of iterations of a space. Requires the user to have access to the space. The iterations feature must be enabled for the company.

Path parameters
NameTypeReference
space_uidrequiredstringSpace UID
Headers
NameValue
AuthorizationBearer <token>
Content-Typeapplication/json
Query
NameTypeConstraintsDescription
statusstringFilter by iteration status. Comma separated list of: planned, active, closed, removed
with_datastringInclude related data. Comma separated list of: cards. Iterations with the status 'removed' do not contain cards.
limitnumberMaximum number of iterations to return. Clamped to the range 1-100. Default: 100.
offsetnumberNumber of iterations to skip from the beginning of the result set. Default: 0.
orderstringSort order by creation date: asc or desc. Default: asc.
Responses

200
DescriptionResponse typeExample
SuccessArray of objects
Open
Response Attributes
NameTypeDescription
id

string

Iteration ID (UUID)
space_uid

string

UID of the space the iteration belongs to
title

string

Iteration title
goal

string | null

Iteration goal
status

string

Iteration status: planned, active, closed or removed
creator_uid

string

UID of the user who created the iteration
updater_uid

string

UID of the user who last updated the iteration
start_date

string | null

Start date, ISO 8601 format
finish_date

string | null

Planned finish date, ISO 8601 format
actual_finish_date

string | null

Actual finish date, ISO 8601 format
sort_order

number

Sort order of the iteration within the space
data

object | null

Schema
Cached iteration statistics. Null for planned iterations; active iterations contain committed, and closed iterations also contain velocity, doneCount and totalCount
created

string

Creation timestamp
updated

string

Last update timestamp
cards

array of objects

Schema
Iteration card records. Included only when with_data=cards is requested. Cards removed from the iteration are excluded, and iterations with the 'removed' status do not contain cards
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

402
DescriptionResponse typeExample
Feature is not supported by tariffObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Space not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/spaces/{space_uid}/iterations' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!